// package arch_yaml -- yaml-документ архитектуры
package arch_doc

import "sync"

// ArchDoc -- документ архитектуры
type ArchDoc struct {
	Author    string `yaml:"author"`
	Code_     string `yaml:"code"`
	Name_     string `yaml:"name"`
	Desc_     string `yaml:"desc"`
	CreateAt_ string `yaml:"create_at"`
	UpdateAt_ string `yaml:"update_at"`
}

var (
	doc   *ArchDoc
	block sync.Mutex
)

func GetArchDoc() *ArchDoc {
	block.Lock()
	defer block.Unlock()

	if doc != nil {
		return doc
	}

	sf := &ArchDoc{}
	doc = sf
	return doc
}
